Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Mono.Security.Cryptography.RC4 System.Security.Cryptography.ICryptoTransform Alleged RC4(tm) compatible symmetric stream cipher.

The source code for the alleged RC4(tm) cipher has first appeared in usenet in 1994. The copy of the original document "Usenet 1994 - RC4 Algorithm revealed" is available at http://www.qrst.de/html/dsds/rc4.htm

RC4 is a trademark of RSA Security

- Constructor
  Construct a default ARCFOUR cipher instance.
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean Specify if the current transform object can be reused. Always false. See . for more details. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Specify if the current transform object can process multiple blocks in a single call. Always true. See . for more details. 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` Secret key to be used for the decryption transform. Initialization Vector (IV) to be used by the decryption transform. Creates a symmetric ARCFOUR decryptor transform. a that is ready to be used to decrypt data. Initialization vectors aren't used with ARCFOUR as this is a stream (i.e. not a block) cipher. 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` Secret key to be used for the encryption transform. Initialization Vector (IV) to be used by the encryption transform. Creates a symmetric ARCFOUR encryptor transform. a that is ready to be used to encrypt data. Initialization vectors aren't used with ARCFOUR as this is a stream (i.e. not a block) cipher. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void Generate a new random Initialization Vector (IV) required for some block cipher modes. Initialization vectors aren't used with ARCFOUR as this is a stream (i.e. not a block) cipher. 1.0.5000.0 2.0.0.0
- Method
  System.Void Generate a new secret key. The new secret key length is based on the property. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 Size of input blocks for the function in bytes. Always 1. Stream ciphers operate on individual bytes not on blocks. 1.0.5000.0 2.0.0.0
- Property
  System.Byte[] The secret key for the symmetric algorithm. an array of bytes containing the secret key. RC4 supports keys from 40 bits up to 2048 bits. Defaults to 128 bits. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 Size of the output blocks of the function in bytes. Always 1. Stream ciphers operate on individual bytes not on blocks. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` `` `` `` a a a a a Process a block of data. a See . for more details. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` `` a a a Processes the final part of the data. Also finalizes the function if needed. a See . for more details. 1.0.5000.0 2.0.0.0